Subject: Re: [Bitcoin-development] Reconsider build system change?

From: Matt Corallo <[email-masked]>
Date: Sat, 02 Jul 2011 13:30:14 +0200

I dont think anyone really made a conscious decision one way or the
other, someone submitted an autotools patch and thus people started
talking about when we were going to merge autotools.  That said, the
autotools stuff needs redone before it would be merged anyway. So it
would be up to whoever writes the build system. However, autotools is
more standard than CMake, and since its a shell script, you dont have to
install CMake which doesnt come standard on almost any distros (AFAIK).

Matt

On Sat, 2011-07-02 at 08:13 +0000, John Smith wrote:
> 
> Also important: it supports cross compiling:
> 
> http://www.cmake.org/Wiki/CMake_Cross_Compiling
> 
> JS
> 
> On Sat, Jul 2, 2011 at 7:29 AM, John Smith <[email-masked]>
> wrote:
>         Hello,
>         
>         Why again did we choose for autotools as future build system
>         instead of cmake?
>         
>         - CMake generates native build scripts for Make (all
>         platforms), XCode, Visual Studio. Autoconf only does Make.
>         
>         - CMake has a clearer syntax, m4/autotools is very convoluted
>         
>         - CMake is very fast
>         
>         - CMake is supported natively in Qt Creator in the QT SDK, and
>         is used by many other KDE/QT as well as other open source
>         applications. Many people discourage the use of autotools for
>         new projects.
>         
>         A CMake build system for bitcoin is already integrated into
>         rpcminer, available here:
>         
>         http://luke.dashjr.org/programs/bitcoin/w/puddinpop-bitcoin-pool.git/tree
>         
>         JS
> 
> ------------------------------------------------------------------------------
> All of the data generated in your IT infrastructure is seriously valuable.
> Why? It contains a definitive record of application performance, security 
> threats, fraudulent activity, and more. Splunk takes this data and makes 
> sense of it. IT sense. And common sense.
> http://p.sf.net/sfu/splunk-d2d-c2
> _______________________________________________ Bitcoin-development mailing list [email-masked] https://lists.sourceforge.net/lists/listinfo/bitcoin-development